package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.CphLakeType;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 静湖之星类别Mapper接口
 *
 * @author srs
 * @date 2023-10-31
 */
@Mapper
public interface CphLakeTypeMapper extends BaseMapper<CphLakeType> {



    public List<CphLakeType> listSelect();

    public List<CphLakeType> listOneHundred();


    /**
     * 查询静湖之星类别
     *
     * @param id 静湖之星类别主键
     * @return 静湖之星类别
     */
    public CphLakeType selectCphLakeTypeById(Long id);

    /**
     * 查询静湖之星类别列表
     *
     * @param cphLakeType 静湖之星类别
     * @return 静湖之星类别集合
     */
    List<CphLakeType> selectCphLakeTypeList(CphLakeType cphLakeType);

    /**
     * 新增静湖之星类别
     *
     * @param cphLakeType 静湖之星类别
     * @return 结果
     */
    int insertCphLakeType(CphLakeType cphLakeType);

    /**
     * 修改静湖之星类别
     *
     * @param cphLakeType 静湖之星类别
     * @return 结果
     */
    int updateCphLakeType(CphLakeType cphLakeType);

    /**
     * 删除静湖之星类别
     *
     * @param id 静湖之星类别主键
     * @return 结果
     */
    int deleteCphLakeTypeById(Long id);

    /**
     * 批量删除静湖之星类别
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCphLakeTypeByIds(Long[] ids);
}
